AchievementPerfectlyBalanced = class(Turbine.UI.Control)
function AchievementPerfectlyBalanced:Constructor(handler)
    Turbine.UI.Control.Constructor(self)

    self.skillList = {
        ["Dissonance - Stance"] = true,
        ["Resonance - Stance"] = true,
    }

    self.playerName = Turbine.Gameplay.LocalPlayer.GetInstance():GetName()

    self.benefitCallback = AddCallback(ChatEventHandler, "PlayerBenefit", function(args)
        if args.Source == self.playerName and self.skillList[args.SkillName] then
            handler:Fail("Perfectly Balanced", "Swapped out of melody", 0x410081F7)
        end
    end)
end

function AchievementPerfectlyBalanced:Unload()
    RemoveCallback(ChatEventHandler, "PlayerBenefit", self.benefitCallback)
end